<?php

declare(strict_types=1);

namespace App\Enums;

use Filament\Support\Contracts\HasLabel;

enum NavigationGroup: string implements HasLabel
{
    case Organization = 'organization';
    case Employees = 'employees';
    case LeaveManagement = 'leave_management';
    case Records = 'records';
    case System = 'system';

    public function getLabel(): ?string
    {
        return __('hr.navigation.' . $this->value);
    }
}
